PIRL.Conductor

## Class Native_Methods

- java.lang.Object
- - PIRL.Conductor.Native_Methods

    public class Native_Methods
    extends Object

Native methods.

An encapsulation of native method interfaces.

This class contains only static methods. It loads the required native library automatically the first time it is used.

### Field Summary

Fields
`static String` `ID` Class name and version identification.
`static String` `NATIVE_METHODS_LIBRARY_NAME` The name of the library that contains the native methods implementations.

### Method Summary

Methods
`static int` `PID()` Get the process ID of the Java Virtual Machine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class name and version identification.

See Also:
  Constant Field Values

#### NATIVE_METHODS_LIBRARY_NAME

    public static final String NATIVE_METHODS_LIBRARY_NAME

The name of the library that contains the native methods implementations.

See Also:
  Constant Field Values

### Method Detail

#### PID

    public static int PID()

Get the process ID of the Java Virtual Machine. The process ID has been pre-fetched, so there is no overhead cost in repeated accesses to its value. If the library implementing the native method that provides the interface to the getpid system function did not load successfully, then the return value will be zero.

Returns:
  The process ID (PID) of the JVM running this class. This will be zero if the native getpid system function could not be accessed because the `NATIVE_METHODS_LIBRARY_NAME` library failed to load.